# AngioLocalize Namespace Reference

## Functions
def | initWindow
| initWindow():
def | closeWindow
| copy log file when application is closed
def | loggedIn
| this is the function called when user is verfied in login page
def | DSA2DInit
| this function is used to init DSA2D tab
def | DSA3DInit
| this function is used to init DSA3D tab
def | RegistrationInit
| this function is used to init Registration tab
def | Registration2D3DInit
| this function is used to init Registration2D3D tab
def | LocalizationInit
| this function is used to init Localization tab
def | LocalizationDone
| this function is used to clean up Localization tab
def | DSA2DDone
| this function is used to clean up DSA2D tab
def | DSA3DDone
| this function is used to clean up DSA3D tab
def | DSATabDone
| this function is used to clean up DSA tab, which includes DSA2D and DSA3D
def | RegistrationDone
| this function is used to clean up registration tab.
def | Registration2D3DDone
| this function is used to clean up Registration2D3D tab.
def | RegistrationTabDone
| this function is used to clean up Registration Tab, which includes Registration 3D-3D and Registration 2D-3D subTabs
def | check
| this function is used to check if there is a patient selected.
def | selectPatient
| When a user selects a patient, the tabs "Image Selection", "Registration" and "Localization" will be shown.
def | ExportInit
| this function is used to init Localization tab
def | ExportDone
| this function is used to clean up Localization tab
## Variables
| currentPatient = None
string | title = ""

## Detailed Description

    * Copyright (c) 2009 Stanford University, School of Medicine All rights reserved.
    *
    * STANFORD ACADEMIC SOFTWARE LICENSE AGREEMENT
    * FOR AngioLocalize SOURCE CODE:
    *
    * 1.  This is a legal agreement between you, RECIPIENT, and STANFORD UNIVERSITY.
    *       By accepting, receiving, and using AngioLocalize.including any accompanying information, materials or
    *       manuals (Program), you are agreeing to be bound by the terms of this Agreement.
    *       If you do not agree to the terms of this Agreement, promptly return the Program to the STANFORD.

    * 2.  STANFORD grants to RECIPIENT a royalty-free, nonexclusive, and nontransferable license to use the Program
    *       and accompanying source code furnished hereunder, upon the terms and conditions set out below.
    *       documentation and/or other materials provided with the distribution.
    * 3.  RECIPIENT acknowledges that the Program is a research tool still in the development stage and that
    *       it is being supplied as is, without any accompanying services, support or improvements from STANFORD.
    * 4.  RECIPIENT agrees to use the Program solely for internal non-commercial purposes.
    * 5.  RECIPIENT may create derivatives and further transfer the Program under the following terms and conditions:
    *        A) Recipient agrees to not commercially exploit the Program and agrees all uses will be for non-commercial purposes; and,
    *        B) Recipient may not mark any derivatives with the title of Program and may not to use iPad mark for any derivatives; and,
    *        C) Recipient agrees to mark and acknowledge all derivatives as follows: "This is a derivative work based on AngioLocalize:
    *           Frameless AVM localization with 2D Digital Subtraction Angiography (DSA) and 3D Rotational Angiography (DRA) Images developed
    *           by Dimitre Hristov, Lina Liu.
    *        D) Recipient agrees to make all improvements, enhancements and derivatives available under
    *           similar terms and conditions to the research community.
    * 6.   RECIPIENT warrants that RECIPIENT will not remove or export any part of the software or Program from the United
    *       States except in full compliance with all United States and other applicable laws and regulations.
    * 7.  RECIPIENT will use the Program in compliance with all applicable laws, policies and regulations including, but not
    *       limited to, any approvals, informed consent and patient confidentiality principles.
    * 8.   RECIPIENT will indemnify, hold harmless, and defend Stanford against any claim of any kind arising out of or
    *       related to the exercise of any rights granted under this Agreement or the breach of this Agreement by RECIPIENT.
    * 9.  Title and copyright to the Program and any associated documentation shall at all times remain with STANFORD,
    *       and RECIPIENT agrees to preserve same.

## Function Documentation

def AngioLocalize::check | ( |  | ) |

this function is used to check if there is a patient selected.

Definition at line 173 of file AngioLocalize.py.

def AngioLocalize::Registration2D3DDone | ( |  | ) |

this function is used to clean up Registration2D3D tab.

Definition at line 161 of file AngioLocalize.py.

def AngioLocalize::RegistrationDone | ( |  | ) |

this function is used to clean up registration tab.

Definition at line 154 of file AngioLocalize.py.

All Classes Namespaces Files Functions Variables Enumerator Friends